Bug 866538 - Failed to connect socket to '/var/run/libvirt/libvirt-sock' during bootstrap processsus
Failed to connect socket to '/var/run/libvirt/libvirt-sock' during bootstrap ...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
3.1 GA
x86_64 Linux
unspecified Severity medium
: ---
: 3.2
Assigned To: Alon Bar-Lev
Haim
infra
:
Depends On: bootstrap-rewrite
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 11:12 EDT by exploit
Modified: 2014-01-12 19:54 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-15 01:46:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm bootstrap logs (174.75 KB, application/octet-stream)
2012-10-15 12:00 EDT, exploit
no flags Details

  None (edit)
Description exploit 2012-10-15 11:12:28 EDT
Description of problem:
the registration of a host always fails in the phase 1

Version-Release number of selected component (if applicable):
vdsm-4.10.1-0.18.git112fd54.fc17.x86_64

How reproducible:
adding a host to the webadmin

Steps to Reproduce:
1.installing a fresh host
2.regestering in engine
3.first bootstrap always fail
  
Actual results:
libvir: XML-RPC error : Failed to connect socket to '/var/run/libvirt/libvirt-sock': No such file or directory

Expected results:
host has been successfully installed

Additional info:
this issue seems to be due to the similar libvirt bug met into the Bug 859483.
After starting the libvirtd daemon, bootstrap becomes successful.
Comment 1 Dan Kenigsberg 2012-10-15 11:24:35 EDT
which version of vdsm-bootstrap do you have installed on your Engine?

Could you attach your bootstrap logs? (left on /tmp on the installed host)

I expected this issue to be fixed by

commit 1b73dce29745461db3587cf89377a269f4586333
Author: Dan Kenigsberg <danken@redhat.com>
Date:   Thu Oct 4 22:14:19 2012 +0200

    libvirtconnection: retry opening a libvirt connection


but apparently we still have a problem.
Comment 2 exploit 2012-10-15 12:00:31 EDT
Created attachment 627549 [details]
vdsm bootstrap logs
Comment 3 exploit 2012-10-15 12:01:06 EDT
vdsm-bootstrap-4.10.1-0.18.git112fd54.fc17.noarch

the previous bug was that vdsmd didn't start automatically after rebooting, but manually it was good. Here it is not the same, bootstrap doesn't complete and it seems to be for the same reason.
Comment 4 Dan Kenigsberg 2012-10-16 09:31:15 EDT
Thanks. We see that we wait for libvirt in vain

libvir: XML-RPC error : Failed to connect socket to '/var/run/libvirt/libvirt-sock': No such file or directory

Could you find your libvirtd.log from the relevant time (Sat, 13 Oct 2012 20:10:35)? I wonder why it has failed to start on time.

hhmmm, I do not see an attempt to start libvirtd between the two lines

Sat, 13 Oct 2012 20:10:24 DEBUG    vds_bootstrap_5f1e16d6-805e-42ce-97e5-96f27a7f6257 278 <BSTRAP component='CheckLocalHostname' status='OK' message='Local hostname is correct.'/>
Sat, 13 Oct 2012 20:10:24 DEBUG    deployUtil 469 Bridge ovirtmgmt not found, need to create it.


maybe there's a bug hidden in deployUtil.py. Could you copy it to your f17 host, run python and try
# import deployUtil
# deployUtil.setService('libvirtd', 'start')
Comment 5 Alon Bar-Lev 2012-11-28 03:48:26 EST
bug#866538 is dup of this bug.
Comment 6 Alon Bar-Lev 2012-11-28 03:48:53 EST
Sorry! wrong comment#5.
Comment 7 Alon Bar-Lev 2012-11-28 03:50:49 EST
This is fixed in new bootstrap (ovirt-3.2).
Comment 8 Itamar Heim 2013-01-16 11:08:42 EST
3.2 beta built, moving to ON_QA status to allow testing

Note You need to log in before you can comment on or make changes to this bug.